.layout-wrapper {
  max-width: 120rem;
  margin: auto;
}

.layout-wrapper--tiny {
  max-width: 90rem;
}

.layout-wrapper--absolute {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
}

.layout {
  display: flex;
  flex-wrap: wrap;
}

.layout--stacked {
  flex-direction: column;
}

.layout--stacked > .layout__item {
  margin-bottom: 1em;
}

.layout--middle {
  align-items: center;
  @include media-breakpoint-down(md) {
    align-items:inherit;
  }
}

.layout--center {
  justify-content: center;
}

.layout--end {
  justify-content: flex-end;
}

.layout__item {
  flex: 1 1 1%;
  position: relative;
}

.layout__item--right {
  text-align: right;
}

.layout__item--center {
  text-align: center;
}

.u-1\/2 {
  flex-basis: 50%;
}

.u-1\/3 {
  flex-basis: 33.3333%;
}

.u-2\/3 {
  flex-basis: 66.6664%;
}

@include media-breakpoint-down(sm) {
  .palm-layout--stacked {
    flex-direction: column;
    .palm--order-01 {
      order: 1;
      flex: 1 0 auto;
    }
    .palm--order-02 {
      order: 2;
      flex: 1 0 auto;
    }

    .layout__item {
      flex: 1 0 auto;
    }
  }
}

@include media-breakpoint-down(md) {
  .portable-layout--stacked {
    flex-direction: column;
    .portable--order-01 {
      order: 1;
      flex: 1 0 auto;
    }
    .portable--order-02 {
      order: 2;
      flex: 1 0 auto;
    }
    .palm--order-01 {
      order: 1;
      flex: 1 0 auto;
    }
    .palm--order-02 {
      order: 2;
      flex: 1 0 auto;
    }
  }
}